about summary refs log tree commit diff homepage
path: root/.travis/z3.sh
diff options
context:
space:
mode:
Diffstat (limited to '.travis/z3.sh')
-rwxr-xr-x.travis/z3.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/.travis/z3.sh b/.travis/z3.sh
index f8ae6e0b..a4c00f82 100755
--- a/.travis/z3.sh
+++ b/.travis/z3.sh
@@ -12,6 +12,9 @@ fi
 if [[ "$TRAVIS_OS_NAME" == "linux" ]]; then
   # Should we install libz3-dbg too?
   sudo apt-get -y install libz3 libz3-dev
-else # OSX
+elif [[ "${TRAVIS_OS_NAME}" == "osx" ]]; then
   brew install z3
+else
+  echo "Unhandled TRAVIS_OS_NAME \"${TRAVIS_OS_NAME}\""
+  exit 1
 fi